<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<!--
IGAC proyecto SNC

@author fredy.wilches
@description	
-->



<h:form id="calculaEstadisticaForm" xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">

    <h:panelGrid cellpadding="15">

        <p:dataTable var="datos" value="#{consultaOfertasInmob.datos}"
                     paginator="true" rows="5"
                     paginatorTemplate="{RowsPerPageDropdown} {FirstPageLink} {PreviousPageLink} {CurrentPageReport} {NextPageLink} {LastPageLink}"
                     rowsPerPageTemplate="5,10,15" paginatorPosition="bottom"
                     id="ofertasInmobiliariasSeleccionadas">

            <p:columns value="#{consultaOfertasInmob.columns}" var="column"
                       columnIndexVar="colIndex">
                <f:facet name="header">
                    <p:outputPanel>

                        <p:commandButton icon="ui-icon-trash"
                                         actionListener="#{consultaOfertasInmob.removerVariable}"
                                         update=":calculaEstadisticaForm:ofertasInmobiliariasSeleccionadas, 
                                         :calculaEstadisticaForm:variablesDisponibles"
                                         title="Remover Variable" style="float:right">
                            <f:param name="columnToRemove" value="#{column}" />
                        </p:commandButton>  
                        #{column}  
                    </p:outputPanel>
                </f:facet>

                <h:outputText value="#{datos[colIndex]}" />

            </p:columns>

        </p:dataTable>
    </h:panelGrid>

    <h:panelGrid columns="2" cellspacing="5">

        <p:commandButton type="button" onclick="agregarVariableWV.show()"
                         value="Agregar una Variable" icon="ui-icon ui-icon-plus"
                         update="variablesDisponibles" />

        <p:commandButton
            action="#{consultaOfertasInmob.calcularEstadisticas}" icon="ui-icon-calculator"
            value="Calcular"
            update="calculosEstadisticosTable, resultadoCalculosEstadisticosPanel"/>

    </h:panelGrid>

    <p:dialog widgetVar="agregarVariableWV" showEffect="explode"
              width="400" height="100"
              hideEffect="explode" header="Agregar Variable">

        <h:panelGrid columns="3" id="agregarVariablePanel">

            <h:outputText value="Nombre Variable:" />
            <h:selectOneMenu value="#{consultaOfertasInmob.nombreVariable}"
                             id="variablesDisponibles">
                <f:selectItems
                    value="#{consultaOfertasInmob.variablesNumericasDisponibles}"
                    var="variable" itemLabel="#{variable}" itemValue="#{variable}" />
            </h:selectOneMenu>
            <p:commandButton value="Agregar" icon="ui-icon-plus"
                             action="#{consultaOfertasInmob.agregarVariable}"
                             update=":calculaEstadisticaForm:ofertasInmobiliariasSeleccionadas, 
                             variablesDisponibles"
                             oncomplete="agregarVariableWV.hide()" />

        </h:panelGrid>


    </p:dialog>

    <h:panelGrid id="resultadoCalculosEstadisticosPanel">
        <p:dataTable var="calculosEstadisticos" value="#{consultaOfertasInmob.resultadoCalculosEstadisticos}"
                     rendered="#{consultaOfertasInmob.mostrarResultadoCalculosEstadisticos}"
                     id="calculosEstadisticosTable">

            <p:columns value="#{consultaOfertasInmob.columnsResultado}" var="column"
                       columnIndexVar="colIndex">
                <f:facet name="header">
                    <p:outputPanel>

                        #{column} 

                    </p:outputPanel>
                </f:facet>

                <h:outputText value="#{calculosEstadisticos[colIndex]}" />

            </p:columns>

        </p:dataTable>

        <p:spacer height="0" width="7" />
        <p:commandButton value="Exportar a Excel" icon="ui-icon-calculator"
                         ajax="false" onstart="statusDialog2.show();"
                         rendered="#{consultaOfertasInmob.mostrarExportarAExcel}"
                         oncomplete="statusDialog2.hide();">
            <p:fileDownload
                value="#{consultaOfertasInmob.reporteEstadisticasOfertasSeleccionadas}" />
        </p:commandButton>

    </h:panelGrid>
</h:form>
